Everything about Chaotic-AUR packages

It would be nice to have pamix in the repos. (not pamixer)

what is conflict to system settings?

There is something problem in the packages sometimes some essential packages like nohang are determined orphaned in my laptop
At this time i got kfiredragonhelper as orphaned in list

 ╭─[email protected] in ~ took 48s
 ╰─λ sudo pacman -S mpv
warning: mpv-1:0.34.0-2 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (1) mpv-1:0.34.0-2

Total Download Size:   1.37 MiB
Total Installed Size:  5.11 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 mpv-1:0.34.0-2-x86_64                                                             1403.4 KiB   739 KiB/s 00:02 [-------------------------------------------------------------------] 100%
(1/1) checking keys in keyring                                                                                  [-------------------------------------------------------------------] 100%
(1/1) checking package integrity                                                                                [-------------------------------------------------------------------] 100%
(1/1) loading package files                                                                                     [-------------------------------------------------------------------] 100%
(1/1) checking for file conflicts                                                                               [-------------------------------------------------------------------] 100%
(1/1) checking available disk space                                                                             [-------------------------------------------------------------------] 100%
:: Running pre-transaction hooks...
(1/1) Performing snapper pre snapshots for the following configurations...
==> root: 252
:: Processing package changes...
(1/1) reinstalling mpv                                                                                          [-------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/9) Arming ConditionNeedsUpdate...
(2/9) Foreign/AUR package notification
=> No foreign/AUR packages found.
(3/9) Updating icon theme caches...
(4/9) Orphaned package notification...
kfiredragonhelper 5.0.6-1
(5/9) Checking for .pacnew and .pacsave files...
(6/9) Updating pkgfile database...
(7/9) Updating the desktop file MIME type cache...
(8/9) Performing snapper post snapshots for the following configurations...
==> root: 253
(9/9) Syncing all file systems...

I don't know why because firedragon is installed in my system and i have not uninstalled it

Can someone please help me ? :slightly_frowning_face:

Hi, with the latest bauh I get this error:

Icon theme "elementary" not found.
Icon theme "gnome" not found.
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/bauh/view/qt/window.py", line 702, in _finish_refresh_packages
if self.update_pkgs(res['installed'], as_installed=as_installed, types=res['types']):
File "/usr/lib/python3.10/site-packages/bauh/view/qt/window.py", line 964, in update_pkgs
self._update_table(pkgs_info=pkgs_info)
File "/usr/lib/python3.10/site-packages/bauh/view/qt/window.py", line 842, in _update_table
self._resize(accept_lower_width=len(self.pkgs) > 0)
File "/usr/lib/python3.10/site-packages/bauh/view/qt/window.py", line 1079, in _resize
self.resize(new_width, self.height())
TypeError: arguments did not match any overloaded call:
resize(self, QSize): argument 1 has unexpected type 'float'
resize(self, int, int): argument 1 has unexpected type 'float'
Fatal Python error: Aborted

Thread 0x00007f459effd640 (most recent call first):
File "/usr/lib/python3.10/site-packages/bauh/view/qt/thread.py", line 822 in run

Thread 0x00007f459f7fe640 (most recent call first):
File "/usr/lib/python3.10/site-packages/bauh/view/qt/prepare.py", line 140 in run

Thread 0x00007f45c77fe640 (most recent call first):
File "/usr/lib/python3.10/site-packages/bauh/view/util/cache.py", line 96 in run
File "/usr/lib/python3.10/threading.py", line 1009 in _bootstrap_inner
File "/usr/lib/python3.10/threading.py", line 966 in _bootstrap

Current thread 0x00007f45f7b5b740 (most recent call first):
File "/usr/lib/python3.10/site-packages/bauh/app.py", line 57 in main
File "/usr/bin/bauh", line 33 in <module>

Extension modules: PyQt5.QtCore, yaml._yaml, PyQt5.QtGui, PyQt5.QtWidgets, PyQt5.QtNetwork, lxml._elementpath,
lxml.etree (total: 7)
fish: Job 1, 'bauh' terminated by signal SIGABRT (Abort)
3 Likes

The new bauh update with the python fix will hit the repos in the next day or so, if you need it in the meantime, the 'bauh-staging' in AUR has been updated and works. You can switch to that version.

4 Likes

bpytop c++ would be nice to have :wink:

There is just bpytop-git in AUR :eyes:

2 Likes

is it the python package or the c++ one :wink:

thanks a lot... its the c++ one

Yeah indeed. I just added it :slight_smile:

7 Likes

Please update the riseup-vpn package.
Thank you.

The package was up to date when I just tried to :eyes:

5 Likes

Oh, I just checked, their aur package is out of date as compared to their snap version.
maybe we just have to wait

The right course of action would be to flag the package out of date / notify the maintainer and wait in cases where we just build the package :slight_smile:

5 Likes

33 posts were merged into an existing topic: Pipewire-jack and Jack2 Conflict

Please update the linux-cacule package in the chaotic-aur it is way out of date.

2 Likes

You could add mpc-qt

Package appears to be broken upstream, you can check the build logs here: https://builds.garudalinux.org/repos/chaotic-aur/logs/linux-cacule.log

3 Likes

All of the VapourSynth plugins are in the AUR, those could be added; but could be difficult to maintain due to the ever-expanding list

Edit: on second thought, all those plugins are a mess, and it's best to compile straight from Git. I was warned against using the AUR, but that might be one area where I just have to rely (heavily) on it.

Should Garuda have some pacman cache auto-clearing configured by default?